Public Member Functions | Static Public Member Functions | Protected Member Functions

# OGRSurface Class Reference

Abstract base class for 2 dimensional objects like polygons or curve polygons. More...

`#include <ogr_geometry.h>`

Inheritance diagram for OGRSurface:

List of all members.

## Public Member Functions
virtual double | get_Area () const =0
| Get the area of the surface object.
virtual OGRErr | PointOnSurface (OGRPoint *poPoint) const =0
| This method relates to the SFCOM ISurface::get_PointOnSurface() method.
## Static Public Member Functions
static OGRPolygon * | CastToPolygon (OGRSurface *poSurface)
| Cast to polygon.
static OGRCurvePolygon * | CastToCurvePolygon (OGRSurface *poSurface)
| Cast to curve polygon.
## Protected Member Functions
virtual OGRSurfaceCasterToPolygon | GetCasterToPolygon () const =0
virtual OGRSurfaceCasterToCurvePolygon | GetCasterToCurvePolygon () const =0

## Detailed Description

Abstract base class for 2 dimensional objects like polygons or curve polygons.

## Member Function Documentation

OGRCurvePolygon * OGRSurface::CastToCurvePolygon | ( | OGRSurface * | poSurface | ) | `[static]`

Cast to curve polygon.

The passed in geometry is consumed and a new one returned (or NULL in case of failure)

Parameters:

  | poSurface | the input geometry - ownership is passed to the method.

Returns:
  new geometry.

OGRPolygon * OGRSurface::CastToPolygon | ( | OGRSurface * | poSurface | ) | `[static]`

Cast to polygon.

The passed in geometry is consumed and a new one returned (or NULL in case of failure)

Parameters:

  | poSurface | the input geometry - ownership is passed to the method.

Returns:
  new geometry.

double OGRSurface::get_Area | ( |  | ) | const`[pure virtual]`

Get the area of the surface object.

For polygons the area is computed as the area of the outer ring less the area of all internal rings.

This method relates to the SFCOM ISurface::get_Area() method.

Returns:
  the area of the feature in square units of the spatial reference system in use.

Implemented in OGRCurvePolygon.

OGRErr OGRSurface::PointOnSurface | ( | OGRPoint * | poPoint | ) | const`[pure virtual]`

This method relates to the SFCOM ISurface::get_PointOnSurface() method.

NOTE: Only implemented when GEOS included in build.

Parameters:

  | poPoint | point to be set with an internal point.

Returns:
  OGRERR_NONE if it succeeds or OGRERR_FAILURE otherwise.

Implemented in OGRCurvePolygon, and OGRPolygon.

The documentation for this class was generated from the following files:

- ogr_geometry.h
- ogrsurface.cpp

Generated for GDAL by 1.7.1.